'
' Circle demo for a Sure 2416 24*16 Dot Matrix Display Board
' Written by Les Johnson for the Proton BASIC Compiler
'
    Include "Amicus18.inc"              ' Configure the compiler for a PIC18F25K20 at 64MHz. i.e. An Amicus18 board
    Include "2416.inc"                  ' Load the Sure 2416 display interface routines into the program

    Dim bRadius As Byte                 ' Holds the circle's radius
'-------------------------------------------------------------------------------------
Main:
    Do                                  ' Create an infinite loop
        For bRadius = 1 To 13           ' Form a loop for the size of the display
            tPixelColor = tPixelSet     ' Set the pixels
            HT_Circle(12,7,bRadius)     ' Draw a cirle
            DelayMS 100                 ' Wait a while
            tPixelColor = tPixelClear   ' Clear the pixels
            HT_Circle(12,7,bRadius)     ' Erase the circle
        Next                            ' Until all circle sizes are drawn
    Loop                                ' Do it forever

