'
' Plotting demo for a Sure 2416 24*16 Dot Matrix Display Board
' Written by Les Johnson for the Proton BASIC Compiler
'
    Include "Amicus18.inc"              ' Configure the compiler for a PIC18F25K20 at 64MHz. i.e. An Amicus18 board
    Include "2416.inc"                  ' Load the Sure 2416 display interface routines into the program

    Dim bXpos As Byte                   ' Holds the X position of the pixel
    Dim bYpos As Byte                   ' Holds the Y position of the pixel
'-------------------------------------------------------------------------------------
Main:

    Do                        ' Create an infinite loop
        HT_Clear()
        '
        ' Write a pattern to the display
        '
        tPixelColor = tPixelSet             ' Set the pixel to On
        For bYpos = 0 To 15
            For bXpos = 0 To 23
                HT_Plot(bXpos,bYpos)
                DelayMS 200
            Next
        Next

    Loop                                ' Do it forever


